Get Personal Page
curl --request GET \
--url https://api.crowdchange.dev/v2/client/personal-pages/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/client/personal-pages/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/client/personal-pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "John Snow",
"description": "Help us reach our goal and make a difference!",
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
},
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"url": "https://demo.crowdchange.dev/2/page/1",
"language": "en",
"team": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en"
},
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
Global APIs
Get Personal Page
Retrieve a single CrowdChange personal fundraising page by ID, including owner, parent campaign, goal, raised amount, and recent donor activity.
GET
/
v2
/
client
/
personal-pages
/
{id}
Get Personal Page
Path parameters
integer
required
Personal page ID.
Query parameters
boolean
Include the full personal page description in the response. Default:
falseResponse
integer
Personal page ID.
string
Personal page name.
string
Full personal page description. May contain HTML. Only returned when
include_description is set.number
Goal amount.
string
Formatted goal amount of the personal page, includes currency symbol.
number
Amount raised by the personal page.
string
Formatted amount raised by the personal page, includes currency symbol.
number
Number of donors
string
Full URL to personal page.
string
Personal page language. Allowed values:
en, frobject
Team name that personal page belongs to (if assigned to a team).
object
Campaign that personal page belongs to.
Show properties
Show properties
integer
Campaign ID.
string
Campaign name.
number
Campaign’s goal amount.
number
Total amount raised by the campaign.
string
Formatted amount raised by the campaign, includes currency symbol.
string
URL to campaign’s page.
string
Campaign language. Allowed values:
en, frobject
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
{
"id": 1,
"name": "John Snow",
"description": "Help us reach our goal and make a difference!",
"images": {
"original": "https://img.crowdchange.dev/files/abc.png"
},
"amount_goal": 1000,
"amount_goal_formatted": "$1,000",
"amount_raised": 550,
"amount_raised_formatted": "$550",
"n_donors": 10,
"url": "https://demo.crowdchange.dev/2/page/1",
"language": "en",
"team": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en"
},
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
Was this page helpful?
⌘I